#pragma once
#define STB_IMAGE_IMPLEMENTATION
#define STB_IMAGE_WRITE_IMPLEMENTATION

#include "../Graphics/Primitives/Mesh.h"
#include <assimp/Importer.hpp>
#include <assimp/scene.h>
#include <assimp/postprocess.h> 
#include <string>
#include "../Scene/TransformTree/SceneNodeTypes.h"

namespace YoggieEngine {
	void ProcessVertices(aiMesh* mesh, std::vector<Vertex>& out_vertices);
	void ProcessIndices(aiMesh* mesh, std::vector<unsigned int>& out_indices);

	class ModelImporter {

	public:

		SceneObject* Import(const std::string path);


	private:

		static Mesh ModelImporter::processMesh(aiMesh* mesh, const aiScene* scene);
		static std::vector<Mesh> ModelImporter::processNode(aiNode* node, const aiScene* scene);



	};
}
