#pragma once

// Important STL 
#include <string>
#include <list>
#include <iostream>
#include <fstream>
#include <vector>
#include <stdlib.h>
#include <memory>
#include <chrono>

// Important libraries
#include "spdlog/spdlog.h"
#include <glad/glad.h>
#include <glm/glm.hpp>
#include <glm/gtc/matrix_transform.hpp>
#include <glm/gtc/type_ptr.hpp>
#include <imgui.h>
#include <entt/entt.hpp>

extern "C"
{
	#include "lauxlib.h"
	#include "lua.h"
	#include "lualib.h"
}


// Main library stuff
#include "Platform/Window.h"

#include "Graphics/Primitives/Mesh.h"
#include "Graphics/Primitives/Shader.h"
#include "Graphics/Primitives/Texture.h"
#include "Graphics/Primitives/Camera.h"
#include "Graphics/Primitives/Material.h"
#include "Graphics/Renderer.h"

#include "EventSystem/EventEmitter.h"
#include "EventSystem/EventListener.h"

#include "Input/InputManager.h"

#include "Scene/Scene.h"
#include "Application.h"
